%define pkg_name        Template-Plugin-Class
%define pkg_version     0.13
%define rpm_pkg_version 0.13
%define rpm_pkg_release 2.n0i.3

Summary:       Template plugin allowing calling of class methods on arbitrary classes
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/R/RC/RCLAMP/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:      perl(Template::Plugin)
BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
%{!?_without_test:BuildRequires: perl(Template)}


%description
Template::Plugin::Class allows you to call class methods on arbitrary
classes.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.13-2.n0i.3
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7

* Thu May 11 2006 Marius Feraru <altblue@n0i.net> - 0.13-1.n0i.2
- version 0.13

* Sat Jul 30 2005 Marius Feraru <altblue@n0i.net> 0.12-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7
